Skip to main content
PUT
/
fleet
/
devices
/
{uid}
cURL
curl --request PUT \
  --url https://api.avala.ai/api/v1/fleet/devices/{uid}/ \
  --header 'Content-Type: application/json' \
  --header 'X-Avala-Api-Key: <api-key>' \
  --data '
{
  "name": "<string>",
  "type": "<string>",
  "status": "online",
  "tags": [
    "<string>"
  ],
  "firmware_version": "<string>",
  "metadata": {},
  "last_seen_at": "2023-11-07T05:31:56Z"
}
'
{
  "name": "<string>",
  "type": "<string>",
  "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "online",
  "tags": [
    "<string>"
  ],
  "firmware_version": "<string>",
  "metadata": {},
  "last_seen_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

X-Avala-Api-Key
string
header
required

API key for authentication. Generate one in Mission Control Settings > Security & Identity.

Path Parameters

uid
string
required

Body

application/json
name
string
required
Required string length: 1 - 255
type
string
required
Required string length: 1 - 100
status
enum<string>
Available options:
online,
offline,
maintenance
tags
string[]
Required string length: 1 - 100
firmware_version
string | null
Maximum string length: 100
metadata
Metadata · object
last_seen_at
string<date-time> | null

Response

200 - application/json
name
string
required
Required string length: 1 - 255
type
string
required
Required string length: 1 - 100
uid
string<uuid>
status
enum<string>
Available options:
online,
offline,
maintenance
tags
string[]
Required string length: 1 - 100
firmware_version
string | null
Maximum string length: 100
metadata
Metadata · object
last_seen_at
string<date-time> | null
created_at
string<date-time>
updated_at
string<date-time>